| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::KeyValueGrammar< Iterator, Skipper > Struct Template Reference

`#include <GaudiKernel/GrammarsV2.h>`

Inheritance diagram for Gaudi::Parsers::KeyValueGrammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::KeyValueGrammar< Iterator, Skipper >:
[legend]

## Classes
struct | first
struct | second

## Public Types
typedef std::pair< std::string, std::string > | ResultT

## Public Member Functions
| KeyValueGrammar ()

## Public Attributes
StringGrammar< Iterator, Skipper > | gstring
qi::rule< Iterator, ResultT(), Skipper > | pair

## Detailed Description

### template<typename Iterator, typename Skipper>
struct Gaudi::Parsers::KeyValueGrammar< Iterator, Skipper >

Definition at line 666 of file GrammarsV2.h.

## Member Typedef Documentation

template<typename Iterator, typename Skipper>

typedef std::pair<std::string, std::string> Gaudi::Parsers::KeyValueGrammar< Iterator, Skipper >::ResultT

Definition at line 669 of file GrammarsV2.h.

## Constructor & Destructor Documentation

template<typename Iterator, typename Skipper>

Gaudi::Parsers::KeyValueGrammar< Iterator, Skipper >::KeyValueGrammar | ( |  | ) |
| inline

Definition at line 674 of file GrammarsV2.h.

674 : KeyValueGrammar::base_type(pair) {
675 //------------------------------------------------------------------------------
676 pair = gstring >> ":" >> +enc::char_;
677 }
Gaudi::Parsers::KeyValueGrammar::pair
qi::rule< Iterator, ResultT(), Skipper > pair
Definition: GrammarsV2.h:680
Gaudi::Parsers::KeyValueGrammar::gstring
StringGrammar< Iterator, Skipper > gstring
Definition: GrammarsV2.h:679

## Member Data Documentation

template<typename Iterator, typename Skipper>

StringGrammar<Iterator, Skipper> Gaudi::Parsers::KeyValueGrammar< Iterator, Skipper >::gstring

Definition at line 679 of file GrammarsV2.h.

template<typename Iterator, typename Skipper>

qi::rule<Iterator, ResultT(), Skipper> Gaudi::Parsers::KeyValueGrammar< Iterator, Skipper >::pair

Definition at line 680 of file GrammarsV2.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/GrammarsV2.h